<!DOCTYPE html>
    <html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">

        <!--=============== BOXICONS ===============-->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">

        <!--=============== CSS ===============-->
        <link rel="stylesheet" href="assets/css/styles.css">
        <!--=============== Julie CSS ===============-->
        <title>FARMWISE IOT PLATFORM</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://code.highcharts.com/highcharts.js"></script>
        <script src="js/mqttws31.js" type="text/javascript"></script>
        <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script src="js/config.js" type="text/javascript"></script>
        <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />
        <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
      <!-- Add the font-awesome stylesheet to the head of your HTML -->
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
      <link rel="stylesheet"href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"/>
        <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"></script>
         <!-- Bootstrap CSS -->
     <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css">-->

      <style>

          .widget-container {
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
            width: 100%;
            max-width: 1200px;
            margin: 0 auto;
          }

          .temp-widget {
            flex-basis: calc((100% - 30px) / 4); /* 4 widgets in the first row */
            margin-bottom: 20px;
            background-color: #ffffff;
            padding: 10px;
            border: 1px solid #e3e3e3;
            text-align: center;
          }

          @media (max-width: 991px) {
            .temp-widget {
              flex-basis: calc((100% - 20px) / 3); /* 3 widgets in the second row */
            }
          }

          @media (max-width: 767px) {
            .temp-widget {
              flex-basis: calc((100% - 10px) / 2); /* 2 widgets in each row */
            }
          }
          
          .container2 {
          display: flex;
          flex-direction: row;
        }

        #mapid {
          height: 250px;
          width: 40%;
        }

        #pestdetection {
          width: 50%;
          margin-left: 20px; /* add margin to the left */
        }
              </style>
    </head>
    <body>
        <!--=============== HEADER ===============-->
        <header class="header" id="header">
            <nav class="nav container">
                <a href="#" class="nav__logo">FarmWise</a>

                <div class="nav__menu" id="nav-menu">
                    <ul class="nav__list">
                        <li class="nav__item">
                            <a href="index.html" class="nav__link active-link">
                                <i class='bx bx-home-alt nav__icon'></i>
                                <span class="nav__name">Home</span>
                            </a>
                        </li>
                        
                        <li class="nav__item">
                            <a href="prediction.html" class="nav__link">
                                <i class='bx bx-user nav__icon'></i>
                                <span class="nav__name">Prediction</span>
                            </a>
                        </li>

                        <li class="nav__item">
                             <a href="tips.html" class="nav__link">
                                <i class='bx bx-book-alt nav__icon'></i>
                                <span class="nav__name">Tips</span>
                            </a>
                        </li>
                        <li class="nav__item">
                            <a href="#settings" class="nav__link">
                                <i class='bx bx-message-square-detail nav__icon'></i>
                                <span class="nav__name">settings</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <img src="assets/img/perfil.png" alt="" class="nav__img">
            </nav>
        </header>

        <main>
            <!--=============== HOME ===============-->
            <section class="container section section__height" id="home">        
          </div>
        </div>
        
	  <h1>Weather Forecast</h1>
	  <div id="weather-container"></div>
     <script type="text/javascript">
   window.addEventListener('DOMContentLoaded', () => {
  const location = 'Your Location'; // Replace with the desired location
  const apiKey = 'Your API Key'; // Replace with your OpenWeatherMap API key

  const weatherContainer = document.getElementById('weather-container');

  async function getWeatherForecast() {
    const apiUrl = `https://api.openweathermap.org/data/2.5/weather?q=${location}&appid=${apiKey}`;
    try {
      const response = await fetch(apiUrl);
      const weatherData = await response.json();
      // Process the weatherData as per your requirements
      displayWeatherForecast(weatherData);
    } catch (error) {
      console.error('Error fetching weather data:', error);
    }
  }

  function displayWeatherForecast(weatherData) {
    // Create the HTML content to display the weather forecast
    const temperature = weatherData.main.temp;
    const description = weatherData.weather[0].description;

    const weatherHTML = `
      <p>Temperature: ${temperature}°C</p>
      <p>Description: ${description}</p>
    `;

    // Update the weather-container div with the weather HTML
    weatherContainer.innerHTML = weatherHTML;
  }

  getWeatherForecast();
});

    </script>
     
        </main>
        

        <!--=============== MAIN JS ===============-->
        <script src="assets/js/main.js"></script>
    </body>
</html>